# class internalcheckbox

More...

Internal Use Only
Definition | `#include <hk_kdeclasses/hk_kdeclasses/hk_kdesimplegrid.h>`
Inherits | QFrame (unknown) [public ], hk_dsboolean [public ]
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- internalcheckbox (QWidget* w)
- ~internalcheckbox ()

#### Protected Methods

- void paintEvent (QPaintEvent*)
- void focusInEvent (QFocusEvent * f)
- bool datasource_enable (void)
- void keyPressEvent (QKeyEvent* e)
- void mousePressEvent (QMouseEvent* m)

## Detailed Description

internalcheckbox (QWidget* w)

### internalcheckbox

~internalcheckbox ()

### ~internalcheckbox

void paintEvent (QPaintEvent*)

### paintEvent

[protected]

void focusInEvent (QFocusEvent * f)

### focusInEvent

[protected]

bool datasource_enable (void)

### datasource_enable

[protected]

void keyPressEvent (QKeyEvent* e)

### keyPressEvent

[protected]

void mousePressEvent (QMouseEvent* m)

### mousePressEvent

[protected]

Generated by: horst on horstnotebook on Tue Mar 30 19:06:43 2004, using kdoc 2.0a54.